package com.caimei.www.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 维修保养
 *
 * @author : Charles
 * @date : 2020/7/21
 */
@Controller
public class MaintenanceController extends BaseController {
	/** 维修保养介绍页 */
	private static final String MAINTENANCE_PATH = "maintenance/index";
	/** 维修保申请页 */
	private static final String MAINTENANCE_FORM_PATH = "maintenance/form";

    /**
     * 维修保养介绍页
     */
    @GetMapping("/maintenance/index.html")
    public String maintenance(final Model model) {
        return MAINTENANCE_PATH;
    }
    /**
     * 维修保养申请页
     */
    @GetMapping("/maintenance/form.html")
    public String maintenanceForm(final Model model) {
        return MAINTENANCE_FORM_PATH;
    }

}
