package com.caimei.www.mapper;

import com.caimei.www.pojo.content.ImageLink;
import com.caimei.www.pojo.content.PageContent;
import com.caimei.www.pojo.content.PageFloor;
import com.caimei.www.pojo.content.Parameter;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/16
 */
@Mapper
public interface InstrumentDao {
    /** 项目仪器详情 */
    PageContent getInstrumentById(Integer instrumentId);
    /** 项目仪器参数 */
    List<Parameter> getParametersByInstrumentId(Integer instrumentId);
}

