package com.caimei.www.mapper;

import com.caimei.www.pojo.content.ProductList;
import com.caimei.www.pojo.content.SupplierDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/22
 */
@Mapper
public interface SupplierDao {
    /**
     * 供应商详情
     * @param supplierId
     * @return
     */
    SupplierDetail getSupplierById(Integer supplierId);

    /**
     * 供应商-轮播图片
     * @param supplierId
     * @return
     */
    List<String> getSupplierDetailImages(Integer supplierId);

    /**
     * 供应商-主推商品
     * @param supplierId
     * @return
     */
    List<ProductList> getSupplierMainProducts(Integer supplierId);
}
