package com.caimei.www.pojo.base;

import lombok.Data;

import java.util.List;

/**
 * 一级导航栏
 *
 * @author : Charles
 * @date : 2020/6/18
 */
@Data
public class TopMenu {
	private static final long serialVersionUID = 1L;
	private Integer id;
    /** 一级导航栏名称 */
	private String name;
	/** 一级导航栏类型 0启用二级导航跳转 1启用链接跳转 */
	private String type;
	/** 一级导航链接 */
	private String link;
	/** 排序 */
	private String sort;
	/** 二级导航列表 */
	private List<SubMenu> subMenus;
}
