package com.caimei.www.service;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.content.PageContent;
import com.caimei.www.pojo.content.PageFloor;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/16
 */
public interface InstrumentService {

    /**
     * 项目仪器详情
     * @param instrumentId
     * @return
     */
    PageContent getInstrumentById(Integer instrumentId);

    /**
     * 获取项目仪器详情页中层信息(搭配推荐,相似商品)
     * @param instrumentId
     * @return
     */
    JsonModel<List<PageFloor>> getInstrumentRecommendById(Integer instrumentId);
}
