package com.caimei.www.service;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.content.ProductList;
import com.caimei.www.pojo.content.SupplierDetail;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/22
 */
public interface SupplierService {
    /**
     * 供应商详情
     * @param supplierId
     * @return
     */
    SupplierDetail getSupplierById(Integer supplierId);

    /**
     * 供应商-轮播图片
     * @param supplierId
     * @return
     */
    JsonModel<List<String>> getSupplierDetailImages(Integer supplierId);

    /**
     * 供应商-主推商品
     * @param supplierId
     * @return
     */
    JsonModel<List<ProductList>> getSupplierMainProducts(Integer supplierId);
}
