var supplierHome = new Vue({
    el: "#supplierHome",
    data: {
        supplierId: 0,
        supplierBanner: []
    },
    computed: {

    },
    methods: {
        getBanners: function(){
            var _self = this;
            if(this.supplierId === 0) {return false;}
            $.getJSON("/supplier/images",{supplierId: this.supplierId}).done(function (r) {
                if (r.code === 0 && r.data) {
                    _self.supplierBanner = r.data;
                    setTimeout(function(){
                        if (isPC) {
                            $('#supplierBanner').slide({
                                mainCell:".swiper-wrapper"
                                ,titCell:".swiper-pagination span"
                                ,effect: "leftLoop"
                                ,prevCell:".swiper-button-prev"
		                        ,nextCell:".swiper-button-next"
                                ,interTime: 2000
                                ,autoPlay: true
                                ,autoPage: false
                                ,trigger: "mouseover"
                            });
                        } else {
                            var swiper = new Swiper('#supplierBanner', {
                                loop : true,
                                autoplay: {
                                    delay: 2000,
                                    disableOnInteraction: false
                                },
                                navigation: {
                                    nextEl: '.swiper-button-next',
                                    prevEl: '.swiper-button-prev'
                                },
                                pagination: {
                                    el: '.swiper-pagination',
                                    clickable :true
                                }
                            });
                        }
                    },500);
                }
            });
        }
    },
    created: function () {
        this.supplierId = getUrlParam("id") ? getUrlParam("id") * 1 : 0;
        this.getBanners();
    },
    mounted: function () {
        var _self = this;
        $('.supplierInfo').slide({
            mainCell:".tabCon"
            ,titCell:".tabTit span"
            ,trigger: "click"
        });
        $('body').on("click", '.showSearch', function(){
            $('.supplierTit .search').show();
        })
    }
});
