package com.caimei.www.pojo.content;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/8
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ProductDetail extends ProductList {
	private Integer minBuyNumber;
	private Integer stock;
    private Integer step;
    private Integer recommendType;
    private Integer validFlag;
	private String productCode;
	private String tags;
	private String[] tagList;
	private String remarks;
	/** 详情 */
	private String detailInfo;
	private String orderInfo;
	private String serviceInfo;
	/** 品牌 */
    private Integer brandId;
	private String brandName;
	/** 分类 */
    private Integer tinyTypeId;
	private String tinyTypeText;
    private Integer smallTypeId;
	private String smallTypeText;
    private Integer bigTypeId;
	private String bigTypeText;
	/** 供应商 */
    private Integer shopId;
	private String shopTitle;
	private String businessScope;
	private String shopAddress;
}
